Register a new user

Add an Investor Person to the system and associate it to a Firm and optionally to an Advisor. Registering a new Person does not require prior authentication.
The Firm to which the Person is to be added must have the "Investor self-signup " feature enabled.
The user is created as SSO, non-SSO, or UIM JWT as determined by how the firm is configured for creating new "Clients ".

Request Headers
Registering a new Person does not require prior authentication, so JSESSIONID or CSRF-TOKEN are not required.

A UIM Admin JWT can optionally be submitted to this endpoint using the Authorization header with the header value "Bearer ". The UIM Admin JWT holds a Service Administrator level authentication context and the UIM Guid for the user to be created must be provided in the post body. The endpoint will validate the JWT, extract the UIM Guid, and store the UIM Guid on the Person. The UIM Guid must be unique across the ByAllAccounts system (across all Persons). If not, then the Person is not created and HTTP 409 Conflict is returned with the person URI.

The POST body parameters listed in Model below are to be submitted in in JSON format as shown in the Example Value.

Response Body
Location header: URI to new resource. For example:
{ "uri": "https://www.byallaccounts.net/api/v1/persons/12345s": }
Where 12345 is the BAA Person Id for the new Person.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

param1

Profile data of a person to be added

string
required

First name of the Person

string

Middle name of the Person

string
required

Last name of the Person

string
required

Role of the Person. Currently must be the value ""

string
required

Email address of the Person. Must be in the form of [email protected]

string

Phone number of the Person. There are no format requirements

string

Social Security Number or Tax ID of the Person. Is only required if the Firm configuration requires a value for this field

string

Firm tag 1. If specified, the value must be unique within the Firm to which the new Person is to be added. If not, HTTP 409 Conflict is returned. Is only required if the Firm configuration requires a value for this field

string

Firm tag 2. Is only required if the Firm configuration requires a value for this field

string

Firm tag 3. Is only required if the Firm configuration requires a value for this field

string

Vendor name value for the Firm to which this Investor should be added. The Firm must already exist. At least one of firmCode or advisorId must be specified in order identify to which firm to add the Person. If firmCode is specified and advisorId is not, then the Person is created without any association to an advisor. If both are specified, then they must not conflict, meaning the Advisor identified by advisorId must exist within the Firm identified by the firmCode. Otherwise, an HTTP 400 Bad Request is returned

int64

ByAllAccounts Person Id for the Advisor to whom this Investor should be assigned after the Investor is created. The Advisor must already exist and be part of the Firm identified in firmCode (if firmCode is specified). At least one of firmCode or advisorId must be specified in order identify to which firm to add the Person. If firmCode is specified and advisorId is not, then the Person is created without any association to an advisor. If both are specified, then they must not conflict, meaning the Advisor identified by advisorId must exist within the Firm identified by the firmCode. Otherwise, an HTTP 400 Bad Request is returned.

string

Used in conjunction with Service Admin JWT. The uimGuid for the user to be created. Must be unique across all Persons in the ByAllAccounts system. If not, HTTP 409 Conflict is returned with the person URI. Ignored if a valid Service Admin JWT is not provided. Required when a Service Admin JWT is submitted to the endpoint.

Responses

400

Bad Request.
Possible causes:
The field name field is missing
Missing required value
The field name cannot exceed max value
Invalid Role value
Email addresses must be in the form [email protected] and cannot contain spaces
Firm firm not found
Advisor not found

One of these is set on the Firm to be required but is not found:
taxId
firmTag1
firmTag2
firmTag3

401

Not Authorized.
Possible causes:
Investor self-signup not allowed
UIM JWT not valid

409

Conflict.
Possible causes:
UIM Guid must be unique (from UIM JWT)
firmTag1 must be unique

500

Internal Server Error

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json